Svit.One Docs
Reference

External data ingestion

Processes a data ingestion job for the given `integrationId`. The request body is forwarded as raw JSON and processed asynchronously. Server token is required (project access token in the `Authorization` header).

POST/v1/external/data-ingestion/{integrationId}

Processes a data ingestion job for the given integrationId. The request body is forwarded as raw JSON and processed asynchronously. Server token is required (project access token in the Authorization header).

Path Parameters

integrationId*string
Length1 <= length

Header Parameters

Authorization*string

Project access token in Bearer format, e.g. Bearer <token>

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?unknown

Response Body

application/json

curl -X POST "https://api-external.svit.one/api/v1/external/data-ingestion/string" \  -H "Authorization: string"
{
  "statusCode": "10000",
  "message": "Data ingestion enqueued"
}
{
  "type": "https://api-errors.svit.one/validation/integration-type-not-supported",
  "title": "Integration Type Not Supported",
  "status": 400,
  "detail": "Integration type 'OTHER' is not supported",
  "code": "INTEGRATION_TYPE_NOT_SUPPORTED",
  "timestamp": "2026-10-27T09:18:23.002Z"
}
{
  "type": "https://api-errors.svit.one/not-found/integration",
  "title": "Integration Not Found",
  "status": 404,
  "detail": "Integration with ID integration-id not found",
  "code": "INTEGRATION_NOT_FOUND",
  "timestamp": "2026-10-27T09:18:23.002Z"
}
{
  "type": "https://api-errors.svit.one/internal/server-error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "An unexpected error occurred",
  "code": "INTERNAL_SERVER_ERROR",
  "timestamp": "2026-10-27T09:18:23.002Z"
}